package org.bot;

public enum Direction {
    NORTH, SOUTH, WEST, EAST;

    public static Direction directionFromCodePoint(char current) {
        switch (current) {
            case '^':
                return NORTH;
            case '>':
                return WEST;
            case 'V':
            case 'v':
                return SOUTH;
            case '<':
                return EAST;
        }
        return NORTH;
    }
}
